Bug 1000677 - SELinux is preventing wine-preloader from 'mmap_zero' accesses on the memprotect .
SELinux is preventing wine-preloader from 'mmap_zero' accesses on the memprot...
Status: CLOSED DUPLICATE of bug 665145
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:48a71271bd5f001944198d98238...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 04:37 EDT by hx
Modified: 2013-08-26 15:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-26 15:50:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hx 2013-08-24 04:37:29 EDT
Description of problem:
SELinux is preventing wine-preloader from 'mmap_zero' accesses on the memprotect .

*****  Plugin mmap_zero (53.1 confidence) suggests  **************************

If you do not think wine-preloader should need to mmap low memory in the kernel.
Then you may be under attack by a hacker, this is a very dangerous access.
Do
contact your security administrator and report this issue.

*****  Plugin catchall_boolean (42.6 confidence) suggests  *******************

If you want to control the ability to mmap a low area of the address space, as configured by /proc/sys/kernel/mmap_min_addr.
Then you must tell SELinux about this by enabling the 'mmap_low_allowed' boolean.
You can read 'wine_selinux' man page for more details.
Do
setsebool -P mmap_low_allowed 1

*****  Plugin catchall (5.76 confidence) suggests  ***************************

If you believe that wine-preloader should be allowed mmap_zero access on the  memprotect by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep wine-preloader /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023
Target Objects                 [ memprotect ]
Source                        wine-preloader
Source Path                   wine-preloader
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           wine-core-1.5.29-1.fc18.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.6-200.fc18.x86_64 #1 SMP Thu
                              Jun 13 18:56:55 UTC 2013 x86_64 x86_64
Alert Count                   722185
First Seen                    2013-04-21 11:04:43 EEST
Last Seen                     2013-06-25 01:10:53 EEST
Local ID                      dbe65e37-6a06-4fac-9d69-d4570663746a

Raw Audit Messages
type=AVC msg=audit(1372111853.70:476): avc:  denied  { mmap_zero } for  pid=9198 comm="wine-preloader" scontext=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 tclass=memprotect


type=SYSCALL msg=audit(1372111853.70:476): arch=i386 syscall=chmod success=no exit=EACCES a0=ffc26f90 a1=ffc26f90 a2=0 a3=ffc271ac items=0 ppid=1 pid=9198 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=(none) comm=wine-preloader exe=/usr/bin/wine-preloader subj=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 key=(null)

Hash: wine-preloader,wine_t,wine_t,memprotect,mmap_zero

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.9-200.fc19.x86_64
type:           libreport

Potential duplicate: bug 665145
Comment 1 Daniel Walsh 2013-08-26 15:50:20 EDT

*** This bug has been marked as a duplicate of bug 665145 ***

Note You need to log in before you can comment on or make changes to this bug.